#include "sphere.h"
#include "rts/optics/material.h"
#include <vector>
//#include "rts/complex.h"

#include "nearfield.h"
//nearfieldStruct* NF;

#include "microscope.h"
microscopeStruct* SCOPE;

#include "fieldslice.h"

#include "fileout.h"
#include "options.h"
#include "montecarlo.h"
#include "rts/math/point.h"
#include "rts/math/spherical_bessel.h"
#include "rts/math/matrix.h"
#include "rts/math/quaternion.h"

#include "rts/envi/envi.h"

#include "warnings.h"

fileoutStruct gFileOut;
using namespace std;

int cbessjyva(double v,complex<double> z,double &vm,complex<double>*cjv,
    complex<double>*cyv,complex<double>*cjvp,complex<double>*cyvp);

int main(int argc, char *argv[])
{
	//test Envi loading and saving
	//EnviFile envi("testenvi", "w");

	//float* data = (float*)malloc(sizeof(float) * 100 * 100);
	//envi.addBand(data, 100, 100, 100);

	//envi.close();

	//return 0;

	SCOPE = new microscopeStruct();

    cout<<SCOPE->nf.Uf.R[0]<<endl;

    LoadParameters(argc, argv);

    //TestSimulation(NF, SCOPE, &gFileOut);

	//initialize GPU memory for fields
	SCOPE->init();

    OutputOptions();

	gFileOut.Save(SCOPE);

	//NF->destroy();
	SCOPE->destroy();




}
